Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.GetMultiple Method (DatabaseEntry)
Database Class See Also Send Feedback

Retrieve a key and all duplicate data items from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetMultiple(
    	DatabaseEntry key
    )

Visual Basic (Declaration)
    Public Function GetMultiple ( _
    	key As DatabaseEntry _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++
    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetMultiple(
    	DatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the retrieved data items.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

Database Class
GetMultiple Overload
BerkeleyDB Namespace